Description

Use of the issue description filter with the 'none' operator always returns nothing as it does not include issues with blank descriptions.

I think most users expect that issues with blank descriptions are going to be matched when using the filter with the 'none' operator,

as such the actual results may be unexpected.

Currently, the 'none' operator only matches issues that are assigned to trackers that have the description field disabled (which is not

yet possible with the core, see #25052).

Related issues:

Related to Redmine - Feature #1159: Allow issue description to be searchable ... Closed 2008-05-01

Related to Redmine - Defect #39991: Fix "any" operator for text filters to ex... Closed

Associated revisions

Revision 16378 - 2017-03-07 18:51 - Jean-Philippe Lang

Issue description filter's 'none' operator does not match issues with blank descriptions (#25077).

Patch by Marius BALTEANU.

History

#1 - 2017-02-15 09:58 - Mischa The Evil

- Related to Feature #1159: Allow issue description to be searchable as a filter added

#2 - 2017-02-18 20:20 - Marius BĂLTEANU

- File set_blank_decriptions_to_nil.patch added

From my point of view, there are 2 ways to fix this issue:

1. Set description to nil for all new issues with blank description and migrate all existing issues that have description blank to nil.

2. Change the query for description field in order to check for description is nil or description equals with empty string;

I made a patch that implements the first solution because I think in this way we fix the root cause. The second solution is just an workaround.

If there is any side effect of my solution, I can make a patch with the second fix.

#3 - 2017-02-22 23:34 - Marius BĂLTEANU

Mischa The Evil, do you have any feedback regarding the patch? I'm thinking now that if setting the description blank instead of null is a rails

behaviour, we should not change this and I should create a patch with the second solution.

#4 - 2017-03-05 10:38 - Marius BĂLTEANU

Jean-Philippe Lang, how do you think we should solve this issue? With the solution from my patch or we should modify the query?

#5 - 2017-03-05 16:43 - Jean-Philippe Lang

Marius BALTEANU wrote:

Jean-Philippe Lang, how do you think we should solve this issue? With the solution from my patch or we should modify the query?

 We should be able to modify the query for text/string filters without much trouble.
#6 - 2017-03-06 08:38 - Marius BĂLTEANU

- File rm_25077_fix_query_filter_after_none_for_text_and_string_column.patch added

Thanks for your feedback, Jean-Philippe Lang. I've attached a new patch that fixes the issue for text (like description) and string fields. For custom

fields, the issue was already fixed.

#7 - 2017-03-06 10:45 - Go MAEDA

- Target version set to 3.4.0

#8 - 2017-03-07 18:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Thanks Marius, the patch is committed.

#9 - 2017-06-23 16:56 - Pavel Rosický

it should also be fixed on '*' operator like on custom values, don't you think?

#10 - 2017-06-29 21:57 - Marius BĂLTEANU

Pavel Rosický wrote:

it should also be fixed on '*' operator like on custom values, don't you think?

 Can you open a new issue, please?

#11 - 2024-01-01 05:44 - Go MAEDA

- Related to Defect #39991: Fix "any" operator for text filters to exclude empty text values added

Files

set_blank_decriptions_to_nil.patch 2.06 KB 2017-02-18 Marius BĂLTEANU

rm_25077_fix_query_filter_after_none_for_text_and_string_column.patch1.84 KB 2017-03-06 Marius BĂLTEANU
